Debian Bug report logs - #484983
FTBFS: LaTeX Error: \begin{document} ended by \end{theindex}

version graph

Package: hol88; Maintainer for hol88 is Camm Maguire <camm@debian.org>; Source for hol88 is src:hol88.

Reported by: Chris Lamb <chris@chris-lamb.co.uk>

Date: Sat, 7 Jun 2008 15:21:02 UTC

Severity: important

Tags: patch

Merged with 493445

Found in version hol88/2.02.19940316-7

Fixed in version hol88/2.02.19940316-8

Done: Camm Maguire <camm@sacrifice.m.enhanced.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Camm Maguire <camm@enhanced.com>:
Bug#484983; Package hol88. Full text and rfc822 format available.

Acknowledgement sent to Chris Lamb <chris@chris-lamb.co.uk>:
New Bug report received and forwarded. Copy sent to Camm Maguire <camm@enhanced.com>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Chris Lamb <chris@chris-lamb.co.uk>
To: submit@bugs.debian.org
Subject: FTBFS: LaTeX Error: \begin{document} ended by \end{theindex}
Date: Sat, 7 Jun 2008 16:17:59 +0100
[Message part 1 (text/plain, inline)]
Package: hol88
Version: 2.02.19940316-7
Severity: serious

This package fails to build from source on amd64. Full build log is attached.


Regards,

-- 
Chris Lamb, UK                                       chris@chris-lamb.co.uk
                                                            GPG: 0x634F9A20
[hol88_2.02.19940316-7_amd64.build (application/octet-stream, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Camm Maguire <camm@enhanced.com>:
Bug#484983; Package hol88. Full text and rfc822 format available.

Acknowledgement sent to Peter De Wachter <pdewacht@gmail.com>:
Extra info received and forwarded to list. Copy sent to Camm Maguire <camm@enhanced.com>. Full text and rfc822 format available.

Message #10 received at 484983@bugs.debian.org (full text, mbox):

From: Peter De Wachter <pdewacht@gmail.com>
To: Debian Bug Tracking System <484983@bugs.debian.org>
Subject: patch for hol88 tex errors
Date: Wed, 23 Jul 2008 00:48:45 +0200
[Message part 1 (text/plain, inline)]
Package: hol88
Version: 2.02.19940316-7
Followup-For: Bug #484983

The attached patch fixes these errors. This is a dash-specific
bug. The hol88 makefiles try to write TeX using echo commands, but
dash's echo interprets \b (as in \begin) as an escape sequence.
[hol88-fix-docs.patch (text/plain, attachment)]

Tags added: patch Request was from pdewacht@gmail.com (Peter De Wachter) to control@bugs.debian.org. (Tue, 22 Jul 2008 22:51:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Camm Maguire <camm@enhanced.com>:
Bug#484983; Package hol88. Full text and rfc822 format available.

Acknowledgement sent to Camm Maguire <camm@maguirefamily.org>:
Extra info received and forwarded to list. Copy sent to Camm Maguire <camm@enhanced.com>. Full text and rfc822 format available.

Message #17 received at 484983@bugs.debian.org (full text, mbox):

From: Camm Maguire <camm@maguirefamily.org>
To: control@bugs.debian.org,484983@bugs.debian.org
Subject: FTBFS: LaTeX Error: \begin{document} ended by \end{theindex}
Date: Sat, 02 Aug 2008 11:29:34 -0400
severity 484983 important
thanks

As this is dash specific, and as hol88/gcl takes forever to build on
all the platforms, I'd like to let this propagate to testing and then
commit the patch.  Thank you so much for putting this together!

-- 
Camm Maguire			     			camm@enhanced.com
==========================================================================
"The earth is but one country, and mankind its citizens."  --  Baha'u'llah




Severity set to `important' from `serious' Request was from Camm Maguire <camm@maguirefamily.org> to control@bugs.debian.org. (Sat, 02 Aug 2008 15:33:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Camm Maguire <camm@enhanced.com>:
Bug#484983; Package hol88. Full text and rfc822 format available.

Acknowledgement sent to Chris Lamb <chris@chris-lamb.co.uk>:
Extra info received and forwarded to list. Copy sent to Camm Maguire <camm@enhanced.com>. Full text and rfc822 format available.

Message #24 received at 484983@bugs.debian.org (full text, mbox):

From: Chris Lamb <chris@chris-lamb.co.uk>
To: 484983@bugs.debian.org, 493445@bugs.debian.org
Subject: Re: hol88: FTBFS with dash as /bin/sh
Date: Sat, 2 Aug 2008 19:32:19 +0100
[Message part 1 (text/plain, inline)]
forcemerge 484983 493445
thanks

(Already reported under a different title.)


Regards,

-- 
Chris Lamb, UK                                       chris@chris-lamb.co.uk
                                                            GPG: 0x634F9A20
[signature.asc (application/pgp-signature, attachment)]

Forcibly Merged 484983 493445. Request was from Chris Lamb <chris@chris-lamb.co.uk> to control@bugs.debian.org. (Sat, 02 Aug 2008 18:33:09 GMT) Full text and rfc822 format available.

Reply sent to Camm Maguire <camm@sacrifice.m.enhanced.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Chris Lamb <chris@chris-lamb.co.uk>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #31 received at 484983-close@bugs.debian.org (full text, mbox):

From: Camm Maguire <camm@sacrifice.m.enhanced.com>
To: 484983-close@bugs.debian.org
Subject: Bug#484983: fixed in hol88 2.02.19940316-8
Date: Sun, 03 Aug 2008 15:02:06 +0000
Source: hol88
Source-Version: 2.02.19940316-8

We believe that the bug you reported is fixed in the latest version of
hol88, which is due to be installed in the Debian FTP archive:

hol88-contrib-help_2.02.19940316-8_all.deb
  to pool/main/h/hol88/hol88-contrib-help_2.02.19940316-8_all.deb
hol88-contrib-source_2.02.19940316-8_all.deb
  to pool/main/h/hol88/hol88-contrib-source_2.02.19940316-8_all.deb
hol88-doc_2.02.19940316-8_all.deb
  to pool/main/h/hol88/hol88-doc_2.02.19940316-8_all.deb
hol88-help_2.02.19940316-8_all.deb
  to pool/main/h/hol88/hol88-help_2.02.19940316-8_all.deb
hol88-library-help_2.02.19940316-8_all.deb
  to pool/main/h/hol88/hol88-library-help_2.02.19940316-8_all.deb
hol88-library-source_2.02.19940316-8_all.deb
  to pool/main/h/hol88/hol88-library-source_2.02.19940316-8_all.deb
hol88-library_2.02.19940316-8_i386.deb
  to pool/main/h/hol88/hol88-library_2.02.19940316-8_i386.deb
hol88-source_2.02.19940316-8_all.deb
  to pool/main/h/hol88/hol88-source_2.02.19940316-8_all.deb
hol88_2.02.19940316-8.diff.gz
  to pool/main/h/hol88/hol88_2.02.19940316-8.diff.gz
hol88_2.02.19940316-8.dsc
  to pool/main/h/hol88/hol88_2.02.19940316-8.dsc
hol88_2.02.19940316-8_i386.deb
  to pool/main/h/hol88/hol88_2.02.19940316-8_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 484983@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Camm Maguire <camm@sacrifice.m.enhanced.com> (supplier of updated hol88 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 02 Aug 2008 13:23:41 +0000
Source: hol88
Binary: hol88 hol88-source hol88-help hol88-library hol88-library-source hol88-library-help hol88-contrib-source hol88-contrib-help hol88-doc
Architecture: source i386 all
Version: 2.02.19940316-8
Distribution: unstable
Urgency: low
Maintainer: Camm Maguire <camm@enhanced.com>
Changed-By: Camm Maguire <camm@sacrifice.m.enhanced.com>
Description: 
 hol88      - Higher Order Logic, system image
 hol88-contrib-help - Higher Order Logic, user contributed online help files
 hol88-contrib-source - Higher Order Logic, user contributed source
 hol88-doc  - Documentation for hol88
 hol88-help - Higher Order Logic, online help files
 hol88-library - Higher Order Logic, binary library modules
 hol88-library-help - Higher Order Logic, library online help files
 hol88-library-source - Higher Order Logic, library source files
 hol88-source - Higher Order Logic, source files
Closes: 477583 484983
Changes: 
 hol88 (2.02.19940316-8) unstable; urgency=low
 .
   * Bug fix: "FTBFS: LaTeX Error: \begin{document} ended by
     \end{theindex}", thanks to Chris Lamb (Closes: #484983).
   * Bug fix: "hol88: bashism in debian/rules", thanks to Raphael Geissert
     (Closes: #477583).
Checksums-Sha1: 
 70815529317c9bcb384e0be2785d9c2d93248969 1247 hol88_2.02.19940316-8.dsc
 bba7aa65db993419550212a69b5793784b32c8bb 22305 hol88_2.02.19940316-8.diff.gz
 d5ccac87b7ae7438db3627162517333c679ff142 9771450 hol88_2.02.19940316-8_i386.deb
 a7c924405e761f08a8d65ff59904bb4e40cc9bdb 4781180 hol88-library_2.02.19940316-8_i386.deb
 6f893a8523f67a2cd98704c1976e53002e97d3ad 275336 hol88-source_2.02.19940316-8_all.deb
 1dbef67816cd6a33f7f0b4158180701f45f0947c 323828 hol88-help_2.02.19940316-8_all.deb
 5dc2fb0c366c83b091a2376e99ec578ba75e129e 564958 hol88-library-source_2.02.19940316-8_all.deb
 c3d682efef55461e9916f3aa1a2700b5085d4110 311852 hol88-library-help_2.02.19940316-8_all.deb
 082052fa9d2ca075632203b5cacd8f611b0cf0f9 1010702 hol88-contrib-source_2.02.19940316-8_all.deb
 ad862561f12d63c6a9b47f5f783b99c28d63a319 26454 hol88-contrib-help_2.02.19940316-8_all.deb
 7243505e748785ce5e4791f382a94cab2b5ffc21 1018888 hol88-doc_2.02.19940316-8_all.deb
Checksums-Sha256: 
 00f9fa605ad9ec189e4c04609ac78e9c205c79662392642ea813dde02ee6d9fd 1247 hol88_2.02.19940316-8.dsc
 2687faeed11529052711db9f7ed566f2ba7b50360e943e9af3c1c24c1b40624e 22305 hol88_2.02.19940316-8.diff.gz
 4063760ffc6ae9494b8530958177f585acd3afbce4e76295387eea4d2710a03e 9771450 hol88_2.02.19940316-8_i386.deb
 4b1382f656522a90df37361ecdd23e662b1104320cbae17efc27fb7121277f9e 4781180 hol88-library_2.02.19940316-8_i386.deb
 4f3c8e04ab90c3d039507fb84de91c452746bf569fb2d6ca82135941e8a97916 275336 hol88-source_2.02.19940316-8_all.deb
 7a90dca541638944637a72194dbe60cc0c65eef134118e0657fdca192eaf4c0c 323828 hol88-help_2.02.19940316-8_all.deb
 1b62f272050e430b1bbffb62fa0c4b77deadbb79e4e14d35602e12622adb7da3 564958 hol88-library-source_2.02.19940316-8_all.deb
 9d7137f7e279d1db64da886d9623cae22da480fdf3b1fb67daa01d20e4cf76da 311852 hol88-library-help_2.02.19940316-8_all.deb
 1f369a6d65f57dceb914d21223958feefd740a68e2e8e33b5c937819ae19ebf1 1010702 hol88-contrib-source_2.02.19940316-8_all.deb
 6b0bf07b3fb9f55095c29f9fa5b7fb1527e20cfdcbe7e51d750a7363234dac6d 26454 hol88-contrib-help_2.02.19940316-8_all.deb
 f15e5c87caabea48bd833aaec9de9cbaf709a75167376c7bf8f529b94057a3d2 1018888 hol88-doc_2.02.19940316-8_all.deb
Files: 
 add365a28dbc29f05cd01d57aaf7af70 1247 math optional hol88_2.02.19940316-8.dsc
 30d7d6aefb43529b64f4561d0636af1f 22305 math optional hol88_2.02.19940316-8.diff.gz
 bc248f41efaea805e423937af2088930 9771450 math optional hol88_2.02.19940316-8_i386.deb
 cd65408524389d66a5683467f201b2d1 4781180 math optional hol88-library_2.02.19940316-8_i386.deb
 e251fb3930579ab3c90b09972fa07a03 275336 math optional hol88-source_2.02.19940316-8_all.deb
 609b5c60de901e0f49671b5d4adf757d 323828 math optional hol88-help_2.02.19940316-8_all.deb
 60eff092f2abb94237bff05ffe0c8c1c 564958 math optional hol88-library-source_2.02.19940316-8_all.deb
 b8d51b85d426c388db14a17187f0c2e2 311852 math optional hol88-library-help_2.02.19940316-8_all.deb
 e03b971533c76630849b344ecd536fbe 1010702 math optional hol88-contrib-source_2.02.19940316-8_all.deb
 8ae59e656f0eba07bc02e22d9d3c9e65 26454 math optional hol88-contrib-help_2.02.19940316-8_all.deb
 8c44d4ce60285131abd37cb6a12a1e23 1018888 math optional hol88-doc_2.02.19940316-8_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFIlI1jczG1wFfwRdwRAgcyAKCgJLPDTZVIDIQgpGydPf6xriBQBACgm4ZN
8V8/R+eu3lqBp8iD0l0OJ2o=
=KfuA
-----END PGP SIGNATURE-----





Reply sent to Camm Maguire <camm@sacrifice.m.enhanced.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Daniel Schepler <schepler@math.berkeley.edu>:
Bug acknowledged by developer. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 06 Oct 2008 07:28:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 03:59:10 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.